#include <iostream>
#include <boost/regex.hpp>
#include <boost/regex/icu.hpp>

using namespace std;
using namespace boost;

int main(void) {
  const char *s = "なにか書く";
  u32regex rx(make_u32regex("(に)(.)(.)"));
  cmatch r;
  if (u32regex_search(s, r, rx)) {
    cout << r.prefix() << endl;
    for (int i=1; i<r.size(); ++i) {
      cout << r[i] << endl;
    }
    cout << r.suffix() << endl;
  }
  return 0;
}
